<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}
    <div class="audit-logs-page">
        <div class="audit-logs-page__loaded-content">
            {{ if eq (len .Records) 0 }}
                <div class="audit-logs-page__no-results">
                    {{ i18n "No Audit Logs available" }}
                </div>
            {{ end }}

            {{ range .Records }}
                <div class="audit-logs-page__log">
                    <div class="audit-logs-page__log__icon__container">
                        {{ svg .Icon "icon--inline audit-logs-page__log__icon" }}
                    </div>

                    <p class="audit-logs-page__log__description">
                        {{ if eq .EventType "login" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "has logged in" }}</span
                            >
                            <br />
                        {{ else if eq .EventType "create_contract" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "created Contract" }}
                                <strong>{{ .EventContractHash }}</strong></span
                            >
                            <br />
                        {{ else if eq .EventType "accept_contract" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "accepted Contract" }}
                                <strong>{{ .EventContractHash }}</strong></span
                            >
                            <br />
                        {{ else if eq .EventType "reject_contract" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "rejected Contract" }}
                                <strong>{{ .EventContractHash }}</strong></span
                            >
                            <br />
                        {{ else if eq .EventType "revoke_contract" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "revoked Contract" }}
                                <strong>{{ .EventContractHash }}</strong></span
                            >
                            <br />
                        {{ else if eq .EventType "create_service" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "created Service" }}
                                <strong>{{ .EventServiceName }}</strong></span
                            >
                            <br />
                        {{ else if eq .EventType "update_service" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "updated Service" }}
                                <strong>{{ .EventServiceName }}</strong></span
                            >
                            <br />
                        {{ else if eq .EventType "delete_service" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "deleted Service" }}
                                <strong>{{ .EventServiceName }}</strong></span
                            >
                            <br />
                        {{ else if eq .EventType "create_peer" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "created Peer" }}
                                <strong>{{ .EventPeerID }}</strong></span
                            >
                            <br />
                        {{ else if eq .EventType "synchronize_peers" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "synchronized Peers from the Directories" }}
                            </span>
                            <br />
                        {{ else if eq .EventType "update_peer" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "updated Peer" }}
                                <strong>{{ .EventPeerID }}</strong></span
                            >
                            <br />
                        {{ else if eq .EventType "failed_distribution_retry" }}
                            <span
                                ><strong>{{ .ActorUserName }}</strong>
                                {{ i18n "retried distribution of Contract" }}
                                <strong>{{ .EventContractHash }}</strong></span
                            >
                            <br />
                            {{ i18n "Action" }}: {{ .EventAction }}<br />
                            {{ i18n "Recipient" }}: {{ .EventPeerID }}<br />
                        {{ end }}

                        {{ i18n "State" }}: {{ .StatusType }} <br />
                        {{ if .StatusError }}
                            {{ i18n "Error" }}: {{ .StatusError }} <br />
                        {{ end }}
                        <small class="audit-logs-page__log__meta"
                            ><time data-format="LLL" datetime="{{ .CreatedAt }}"
                                >{{ .CreatedAt }}</time
                            >
                            • {{ .Component }} •
                            {{ .SourceHTTPUserAgent }}</small
                        >
                    </p>
                </div>
            {{ end }}
        </div>
    </div>
{{ end }}
